// file: tok_cstr_0.cc
//

// isip include files
//
#include "token.h"
#include "token_constants.h"

// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor
//
Token::~Token() {

  // dummy variables
  //
  Memory_manager* manager = Link_list::get_manager_cc();

  // remove the trace data
  //
  if (trace_d != (Trace*)NULL) {
    manager->delete_cc(trace_d);
    trace_d = (Trace*)NULL;
  }
  if (marker_d != (Trace*)NULL) {
    manager->delete_cc(marker_d);
    marker_d = (Trace*)NULL;
  }
  
  // reset params
  //
  state_d = TOKEN_DEFAULT_INDEX;
  
  // exit gracefully
  //
}
